org.apache.pdfbox.pdmodel.interactive.pagenavigation

## Enum PDTransitionMotion

- java.lang.Object
- - java.lang.Enum<PDTransitionMotion>
  - - org.apache.pdfbox.pdmodel.interactive.pagenavigation.PDTransitionMotion

All Implemented Interfaces:
  Serializable, Comparable<PDTransitionMotion>

    public enum PDTransitionMotion
    extends Enum<PDTransitionMotion>

The direction of motion for the specified transition effect. Only for `PDTransitionStyle.Split`, `PDTransitionStyle.Blinds` and `PDTransitionStyle.Fly`.

Author:
  Andrea Vacondio

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`I` Inward from the edges of the page
`O` Outward from the center of the page

### Method Summary

All Methods Static Methods Concrete Methods
`static PDTransitionMotion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDTransitionMotion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### I

    public static final PDTransitionMotion I

Inward from the edges of the page

#### O

    public static final PDTransitionMotion O

Outward from the center of the page

### Method Detail

#### values

    public static PDTransitionMotion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDTransitionMotion c : PDTransitionMotion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDTransitionMotion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null